Thanks to Papal Rated 5 out of 5 stars

Love this add on, but not compatible with TB 9.
Appears to work if you do the following: (keep in mind that this technique tells TB that Contacts Sidebar is compatible. No guarantee that it actually is):

1. Download the add on to your download folder as you normally would
2. Change the extension from .xpi to .zip (you will get a warning -- allow the change)
3. Unzip the zip folder
4. Open the file install.rdf
5. Move the cursor to the extreme right off the page and change the <em:maxVersion>8.9.*</em:maxVersion>
to <em:maxVersion>9.0.*</em:maxVersion>
6. Save the file install.rdf. and exit
7. Change the extension name back to .xpi.
8. Install into TB as usual from Add On menu

Featured? Rated 1 out of 5 stars

I'm sorry.

I love this add-on and use it. But the only way to get a version compatible with FF 6 (or 5 for that matter) is to download a pre-release from the developers web site.

How can it be rated as "Featured". when it is not even available fro Mozilla? When was the "Featured" list last updated?

Great Add-Add Rated 5 out of 5 stars

C'mon people. This is a great add-on! Open source software does not mean that we can expect to always get something for nothing and that developers should work for nothing. I don't expect you work for nothing.

If you use this extension and you like it, and you want to be able to continue to use it in future MAKE A DONATION.

Or else kiss it good-bye.